package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;

@Data
@Entity
@Table(name = "sales_dps_salary_record")
public class SalesDpsSalaryRecordTable extends BaseTable {

    private Long salesId;

    private String salesNo;
    /**
     * 基本工资
     */
    private Float basicSalary;
    /**
     * 实发工资
     */
    private Float netSalary;
    /**
     * Net Deposits for the Month
     * Directly calculated based on the month’s net deposits
     * 15 times of Basic salary
     * 月净入金金额
     */
    private Float netDepositAmount;
    /**
     * 月净入金KPI
     */
    private Float netDepositKpi;
    /**
     * 月净入金分数
     */
    private Float netDepositScore;
    /**
     * 月毛入金金额
     */
    private Float grossDepositAmount;
    /**
     * 月毛入金KPI
     */
    private Float grossDepositKpi;
    /**
     * 月毛入金分数
     */
    private Float grossDepositScore;
    /**
     * 前三个月累计毛入金
     */
    private Float cumulativeGrossDeposit;
    /**
     * 总分数
     */
    private Float totalScore;
    /**
     * 绩效底薪的倍数
     */
    private Float timesOfBasicSalary;
    /**
     * 绩效
     */
    private Float dpsSalary;
    /**
     * 其他绩效
     */
    private Float otherPerformanceSalary;
    /**
     * 交易量佣金
     */
    private Float volumeRebate;
    /**
     * 年月
     */
    private String ym;

    public static SalesDpsSalaryRecordTable getInstance() {
        SalesDpsSalaryRecordTable table = new SalesDpsSalaryRecordTable();
        table.setNetSalary(0F);
        table.setNetDepositAmount(0F);
        table.setNetDepositKpi(0F);
        table.setNetDepositScore(0F);
        table.setGrossDepositAmount(0F);
        table.setCumulativeGrossDeposit(0F);
        table.setGrossDepositKpi(0F);
        table.setGrossDepositScore(0F);
        table.setTotalScore(0F);
        table.setOtherPerformanceSalary(0F);
        table.setVolumeRebate(0F);
        table.setTimesOfBasicSalary(0F);
        table.setDpsSalary(0F);
        return table;
    }

}
